*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

@view-transition {
  navigation: auto;
}

:root{
    --unit: calc(1vw * 1vh);  /* 5 vmin*/
}

body{
    height: 100vh;
    background-color: blue;
    display: flex;
    justify-content: center;
    align-items: center;
}

main{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: calc(10vh) 15px;
    flex-wrap: wrap;
    
}

.letter{
    border: 1px solid aqua;
    border-radius: 15px;
    width: clamp(40px, 10vmin, 100px); /* var()*/
    height: clamp(80px, 20vmin, 200px);
    color: white;
    font-size: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
}

h1{
    width: 100%;
    color: white;
    text-align: center;
}

#form_cont{
    width: 100%;
}

#form{
    color: white;
    border: 3px solid beige;
    width: 500px;
    height: 100px;
    margin: 0 auto;
    padding: 15px;
}

#form button{
    width: 49%;
    background-color: aqua;
    height: 35px;
    margin-top: 20px;
}

#msg_cont{
    position: absolute;
    top: 5%;
}

.error_msg{
    color: white;
    font-size: 25px;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 10px;
}

.error{
    background-color: crimson;
}

.warning{
    background-color: rgb(148, 138, 3);
}

.success{
    background-color: darkgreen;
}

#history{
    color: beige;
}